Backup
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Backup service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.2 | CURRENT | - |
| 1.1 | SUPPORTED | 20260531 |
| 1.0 | DEPRECATED | 20260331 |
OpenAPI URL
https://backup.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Check Backup Master Connection State
1.1.1 - 1.2
get /v1/backup-agents/{backup_agent_id}/check-connection-state
Description
Check Backup master connection state.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}/check-connection-state
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.1.2 - 1.1
get /v1/backup-agents/{backup_agent_id}/check-connection-state
Description
Check Backup master connection state.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}/check-connection-state
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.1.3 - 1.0
get /v1/backup-agents/{backup_agent_id}/check-connection-state
Description
Check Backup master connection state.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}/check-connection-state
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.2 - Check Backup Name Duplicate
1.2.1 - 1.2
get /v1/backups/check-name-duplication
Description
Check for duplicate backup names.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | backup_name required | Backup name Example : backup-001
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-name-duplication?backup_name={backup_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
1.2.2 - 1.1
get /v1/backups/check-name-duplication
Description
Check for duplicate backup names.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | backup_name required | Backup name Example : backup-001
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-name-duplication?backup_name={backup_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
1.2.3 - 1.0
get /v1/backups/check-name-duplication
Description
Check for duplicate backup names.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | backup_name required | Backup name Example : backup-001
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-name-duplication?backup_name={backup_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
1.3 - Check Backup Restore Server Name Duplicate
1.3.1 - 1.2
get /v1/backups/restore/check-name-duplication
Description
Check for duplicate restore server name.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | restore_server_name required | Restore server name Example : restoretest1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/restore/check-name-duplication?restore_server_name={restore_server_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
1.3.2 - 1.1
get /v1/backups/restore/check-name-duplication
Description
Check for duplicate restore server name.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | restore_server_name required | Restore server name Example : restoretest1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/restore/check-name-duplication?restore_server_name={restore_server_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
1.3.3 - 1.0
get /v1/backups/restore/check-name-duplication
Description
Check for duplicate restore server name.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | restore_server_name required | Restore server name Example : restoretest1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/restore/check-name-duplication?restore_server_name={restore_server_name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
1.4 - Check Filesystem Path Duplication
1.4.1 - 1.2
get /v1/backups/check-filesystem-duplication
Description
Check filesystem path duplication.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | filesystem_path required | Filesystem backup path Example : /aaa
| string | None |
| query | server_uuid required | Backup server UUID Example : 89f5ef44-1021-4a5c-8e06-fbb289eac366
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-filesystem-duplication?filesystem_path={filesystem_path}&server_uuid={server_uuid}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
1.4.2 - 1.1
get /v1/backups/check-filesystem-duplication
Description
Check filesystem path duplication.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | filesystem_path required | Filesystem backup path Example : /aaa
| string | None |
| query | server_uuid required | Backup server UUID Example : 89f5ef44-1021-4a5c-8e06-fbb289eac366
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-filesystem-duplication?filesystem_path={filesystem_path}&server_uuid={server_uuid}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
1.4.3 - 1.0
get /v1/backups/check-filesystem-duplication
Description
Check filesystem path duplication.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | filesystem_path required | Filesystem backup path Example : /aaa
| string | None |
| query | server_uuid required | Backup server UUID Example : 89f5ef44-1021-4a5c-8e06-fbb289eac366
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/check-filesystem-duplication?filesystem_path={filesystem_path}&server_uuid={server_uuid}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
1.5 - Create Backup
1.5.1 - 1.2
post /v1/backups
Description
Create a Backup.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"dr_enabled": false,
"encrypt_enabled": true,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"is_all_filesystem": false,
"name": "backup-001",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"retention_period": "WEEK_2",
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
],
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.5.2 - 1.1
post /v1/backups
Description
Create a Backup.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"dr_enabled": false,
"encrypt_enabled": true,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"name": "backup-001",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"retention_period": "WEEK_2",
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
],
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.5.3 - 1.0
post /v1/backups
Description
Create a Backup.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"encrypt_enabled": true,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"name": "backup-001",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"retention_period": "WEEK_2",
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
],
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.6 - Create Backup Agent
1.6.1 - 1.2
post /v1/backup-agents
Description
Create a Backup Agent.
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"subnet_id": "023c57b14f11483689338d085e061492",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.6.2 - 1.1
post /v1/backup-agents
Description
Create a Backup Agent.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.6.3 - 1.0
post /v1/backup-agents
Description
Create a Backup Agent.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.7 - Delete Backup
1.7.1 - 1.2
delete /v1/backups/{backup_id}
Description
Terminate the Backup.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.7.2 - 1.1
delete /v1/backups/{backup_id}
Description
Terminate the Backup.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.7.3 - 1.0
delete /v1/backups/{backup_id}
Description
Terminate the Backup.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.8 - Delete Backup Agent
1.8.1 - 1.2
delete /v1/backup-agents/{backup_agent_id}
Description
Terminate the Backup Agent.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.8.2 - 1.1
delete /v1/backup-agents/{backup_agent_id}
Description
Terminate the Backup Agent.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.8.3 - 1.0
delete /v1/backup-agents/{backup_agent_id}
Description
Terminate the Backup Agent.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.9 - Delete Backup Restore Target
1.9.1 - 1.2
delete /v1/backups/{backup_id}/restore-targets
Description
Delete Backup restore target.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreTargetDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"restore_target_ids": [
"ca1a8e76-af49-40ea-93f8-a5989ffe138b"
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.9.2 - 1.1
delete /v1/backups/{backup_id}/restore-targets
Description
Delete Backup restore target.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreTargetDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"restore_target_ids": [
"ca1a8e76-af49-40ea-93f8-a5989ffe138b"
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.9.3 - 1.0
delete /v1/backups/{backup_id}/restore-targets
Description
Delete Backup restore target.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreTargetDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"restore_target_ids": [
"ca1a8e76-af49-40ea-93f8-a5989ffe138b"
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.10 - List Agent Backup Restore Target Servers
1.10.1 - 1.2
get /v1/backups/{backup_id}/agent-backup-restore-targets
Description
List Agent Backup restore target servers.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/agent-backup-restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_type": "s1v1m2",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.10.2 - 1.1
get /v1/backups/{backup_id}/agent-backup-restore-targets
Description
List Agent Backup restore target servers.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/agent-backup-restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.10.3 - 1.0
get /v1/backups/{backup_id}/agent-backup-restore-targets
Description
List Agent Backup restore target servers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/agent-backup-restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.11 - List Backup Agents
1.11.1 - 1.2
get /v1/backup-agents
Description
List Backup Agents.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup Agent Name Example : agent_abcd12
| any of [string, null] | None |
| query | server_backup_agent_ip optional | Server’s Backup Agent IP Example : 11.22.33.44
| any of [string, null] | None |
| query | server_name optional | Backup Agent target server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"backup_policy_count": "3",
"connection_state": "SUCCESS",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "BACKUP_AGENT-abcd",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "agent_abcd12",
"server_backup_agent_ip": "11.22.33.44",
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.11.2 - 1.1
get /v1/backup-agents
Description
List Backup Agents.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup Agent Name Example : agent_abcd12
| any of [string, null] | None |
| query | server_backup_agent_ip optional | Server’s Backup Agent IP Example : 11.22.33.44
| any of [string, null] | None |
| query | server_name optional | Backup Agent target server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"backup_policy_count": "3",
"connection_state": "SUCCESS",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "BACKUP_AGENT-abcd",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "agent_abcd12",
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.11.3 - 1.0
get /v1/backup-agents
Description
List Backup Agents.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup Agent Name Example : agent_abcd12
| any of [string, null] | None |
| query | server_backup_agent_ip optional | Server’s Backup Agent IP Example : 11.22.33.44
| any of [string, null] | None |
| query | server_name optional | Backup Agent target server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"backup_policy_count": "3",
"connection_state": "SUCCESS",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "BACKUP_AGENT-abcd",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "agent_abcd12",
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.12 - List Backup Histories
1.12.1 - 1.2
get /v1/backups/{backup_id}/backup-histories
Description
List Backup histories.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | backup_job_state optional | Backup history state Example : SUCCESS
| any of [enum (SUCCESS, PARTIAL_SUCCESS, FAILED, INPROGRESS, ALL), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/backup-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_time": "2024-10-31T14:59:59Z",
"backup_job_guid": "3b1da7ba-3f38-45cb-9538-e921826f80d7",
"backup_job_state": "SUCCESS",
"backup_start_time": "2024-09-30T15:00:00Z",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.12.2 - 1.1
get /v1/backups/{backup_id}/backup-histories
Description
List Backup histories.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | backup_job_state optional | Backup history state Example : SUCCESS
| any of [enum (SUCCESS, PARTIAL_SUCCESS, FAILED, INPROGRESS, ALL), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/backup-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_time": "2024-10-31T14:59:59Z",
"backup_job_guid": "3b1da7ba-3f38-45cb-9538-e921826f80d7",
"backup_job_state": "SUCCESS",
"backup_start_time": "2024-09-30T15:00:00Z",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.12.3 - 1.0
get /v1/backups/{backup_id}/backup-histories
Description
List Backup histories.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | backup_job_state optional | Backup history state Example : SUCCESS
| any of [enum (SUCCESS, PARTIAL_SUCCESS, FAILED, INPROGRESS, ALL), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/backup-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_time": "2024-10-31T14:59:59Z",
"backup_job_guid": "3b1da7ba-3f38-45cb-9538-e921826f80d7",
"backup_job_state": "SUCCESS",
"backup_start_time": "2024-09-30T15:00:00Z",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.13 - List Backup Region Relationship
1.13.1 - 1.2
get /v1/backups/region-relationship
Description
List Backup Region Relationship.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | from_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | from_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
| query | to_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | to_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
| query | backup_master_type optional | Backup Master type Example : AGENTLESS
| any of [enum (AGENT, AGENT_VM, AGENT_BM, AGENTLESS, AGENT_SAP_INT, AGENT_SAP_EXT), null] | AGENTLESS |
Responses
Example HTTP request
Request path
/v1/backups/region-relationship
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"from_availability_zone": "kr-west1",
"from_region": "kr-west1",
"to_availability_zone": "kr-west1",
"to_region": "kr-west1"
}
],
"count": ""
}
1.13.2 - 1.1
get /v1/backups/region-relationship
Description
List Backup Region Relationship.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | from_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | from_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
| query | to_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | to_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
| query | backup_master_type optional | Backup Master type Example : AGENTLESS
| any of [enum (AGENT, AGENT_VM, AGENT_BM, AGENTLESS, AGENT_SAP_INT, AGENT_SAP_EXT), null] | AGENTLESS |
Responses
Example HTTP request
Request path
/v1/backups/region-relationship
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"from_availability_zone": "kr-west1",
"from_region": "kr-west1",
"to_availability_zone": "kr-west1",
"to_region": "kr-west1"
}
],
"count": ""
}
1.13.3 - 1.0
get /v1/backups/region-relationship
Description
List Backup Region Relationship.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | from_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | from_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
| query | to_region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | to_availability_zone optional | Availability zone name Example : kr-west1
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/region-relationship
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"from_availability_zone": "kr-west1",
"from_region": "kr-west1",
"to_availability_zone": "kr-west1",
"to_region": "kr-west1"
}
],
"count": ""
}
1.14 - List Backup Restore Histories
1.14.1 - 1.2
get /v1/backups/{backup_id}/restore-histories
Description
List Backup restore histories.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | created_at:desc |
| query | restore_state optional | Restore state Example : COMPLETED
| any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null] | None |
| query | start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"backup_start_time": "2024-10-28T05:38:48",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"restore_end_time": "2024-10-28T05:52:47",
"restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
"restore_server_name": "restoretest1",
"restore_start_time": "2024-10-28T05:52:47",
"restore_state": "COMPLETED",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.14.2 - 1.1
get /v1/backups/{backup_id}/restore-histories
Description
List Backup restore histories.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | created_at:desc |
| query | restore_state optional | Restore state Example : COMPLETED
| any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null] | None |
| query | start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"backup_start_time": "2024-10-28T05:38:48",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"restore_end_time": "2024-10-28T05:52:47",
"restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
"restore_server_name": "restoretest1",
"restore_start_time": "2024-10-28T05:52:47",
"restore_state": "COMPLETED",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.14.3 - 1.0
get /v1/backups/{backup_id}/restore-histories
Description
List Backup restore histories.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | created_at:desc |
| query | restore_state optional | Restore state Example : COMPLETED
| any of [enum (COMPLETED, FAILED, INPROGRESS, PARTIAL_SUCCESS), null] | None |
| query | start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-histories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"backup_start_time": "2024-10-28T05:38:48",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"restore_end_time": "2024-10-28T05:52:47",
"restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
"restore_server_name": "restoretest1",
"restore_start_time": "2024-10-28T05:52:47",
"restore_state": "COMPLETED",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}
1.15 - List Backup Restore Subnets
1.15.1 - 1.2
get /v1/backups/{backup_id}/restore/restorable-subnets
Description
List of subnets to select when restoring to a different location from the original server.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8
| any of [string, null] | None |
| query | state optional | Subnet state Example : ACTIVE
| any of [string, null] | None |
| query | region required | Region to restore server Example : kr-west1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore/restorable-subnets?region={region}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"count": 1,
"subnets": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"gateway_ip_address": "192.167.1.1",
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "ACTIVE",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
1.15.2 - 1.1
get /v1/backups/{backup_id}/restore/restorable-subnets
Description
List of subnets to select when restoring to a different location from the original server.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8
| any of [string, null] | None |
| query | state optional | Subnet state Example : ACTIVE
| any of [string, null] | None |
| query | region required | Region to restore server Example : kr-west1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore/restorable-subnets?region={region}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"count": 1,
"subnets": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"gateway_ip_address": "192.167.1.1",
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "ACTIVE",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
1.15.3 - 1.0
get /v1/backups/{backup_id}/restore/restorable-subnets
Description
List of subnets to select when restoring to a different location from the original server.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8
| any of [string, null] | None |
| query | state optional | Subnet state Example : ACTIVE
| any of [string, null] | None |
| query | region required | Region to restore server Example : kr-west1
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore/restorable-subnets?region={region}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"count": 1,
"subnets": [
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"gateway_ip_address": "192.167.1.1",
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "ACTIVE",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
1.16 - List Backup Restore Targets
1.16.1 - 1.2
get /v1/backups/{backup_id}/restore-targets
Description
List Backup restore targets.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"backup_start_time": "2024-09-30T15:00:00Z",
"is_restore_available": "true",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"retention_period": "WEEK_2",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"usage_gb": "123.4"
}
],
"count": 1
}
1.16.2 - 1.1
get /v1/backups/{backup_id}/restore-targets
Description
List Backup restore targets.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_start_time": "2024-09-30T15:00:00Z",
"is_restore_available": "true",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"retention_period": "WEEK_2",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"usage_gb": "123.4"
}
],
"count": 1
}
1.16.3 - 1.0
get /v1/backups/{backup_id}/restore-targets
Description
List Backup restore targets.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | backup_start_time optional | Start time Example : 2024-09-30T15:00:00Z
| any of [string (date-time), null] | None |
| query | backup_end_time optional | End time Example : 2024-10-31T14:59:59Z
| any of [string (date-time), null] | None |
| query | page optional | Page Example : 0
| integer | 0 |
| query | size optional | Size Example : 20
| integer | 20 |
| query | sort optional | Sort Example : backup_start_time:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-targets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_start_time": "2024-09-30T15:00:00Z",
"is_restore_available": "true",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"retention_period": "WEEK_2",
"schedule_id": "f5b8e22b-0d88-4698-9996-fb44217c8227",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"usage_gb": "123.4"
}
],
"count": 1
}
1.17 - List Backup Schedules
1.17.1 - 1.2
get /v1/backups/{backup_id}/schedules
Description
List Backup schedules.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"frequency": "DAILY",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"start_day": "MON",
"start_time": "14:00:00",
"start_week": "WEEK_1",
"state": "AVAILABLE",
"type": "FULL"
}
],
"count": 1
}
1.17.2 - 1.1
get /v1/backups/{backup_id}/schedules
Description
List Backup schedules.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"frequency": "DAILY",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"start_day": "MON",
"start_time": "14:00:00",
"start_week": "WEEK_1",
"state": "AVAILABLE",
"type": "FULL"
}
],
"count": 1
}
1.17.3 - 1.0
get /v1/backups/{backup_id}/schedules
Description
List Backup schedules.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"frequency": "DAILY",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "INCREMENTAL_DAILY_15:00:00-chg4By",
"start_day": "MON",
"start_time": "14:00:00",
"start_week": "WEEK_1",
"state": "AVAILABLE",
"type": "FULL"
}
],
"count": 1
}
1.18 - List Backup Targets
1.18.1 - 1.2
get /v1/backups/backup-targets
Description
List Backup targets.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | server_category required | Backup server category Example : VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER
| enum (VIRTUAL_SERVER, GPU_SERVER, BAREMETAL_SERVER) | None |
| query | policy_type required | Backup policy type Example : VM_IMAGE
| enum (VM_IMAGE, FILESYSTEM) | None |
| query | region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/backup-targets?server_category={server_category}&policy_type={policy_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_type": "s1v1m2",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.18.2 - 1.1
get /v1/backups/backup-targets
Description
List Backup targets.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | server_category required | Backup server category Example : VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER
| enum (VIRTUAL_SERVER, GPU_SERVER, BAREMETAL_SERVER) | None |
| query | region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/backup-targets?server_category={server_category}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_type": "s1v1m2",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.18.3 - 1.0
get /v1/backups/backup-targets
Description
List Backup targets.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
| query | server_category required | Backup server category Example : VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER
| enum (VIRTUAL_SERVER, GPU_SERVER, BAREMETAL_SERVER) | None |
| query | region optional | Region Example : kr-west1
| any of [string, null] | None |
| query | page optional | Page Example : 0
| any of [integer, null] | 0 |
| query | size optional | Size Example : 20
| any of [integer, null] | 5 |
Responses
Example HTTP request
Request path
/v1/backups/backup-targets?server_category={server_category}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"server_guid": "9ab33c66-3dbd-46cd-b0af-abccd3eb3170",
"server_name": "server-001",
"server_os_version": "UBUNTU 22.04",
"server_type": "s1v1m2",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.19 - List Backups
1.19.1 - 1.2
get /v1/backups
Description
List Backups.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup name Example : backup-001
| any of [string, null] | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BackupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"policy_type": "VM_IMAGE",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.19.2 - 1.1
get /v1/backups
Description
List Backups.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup name Example : backup-001
| any of [string, null] | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BackupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"policy_type": "VM_IMAGE",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.19.3 - 1.0
get /v1/backups
Description
List Backups.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Backup name Example : backup-001
| any of [string, null] | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BackupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"policy_type": "VM_IMAGE",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_name": "server-001",
"state": "AVAILABLE"
}
],
"count": 1
}
1.20 - List Filesystem Path
1.20.1 - 1.2
get /v1/backups/{backup_id}/filesystem-path
Description
List Filesystem path.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| query | restore_target_id required | Restore target ID Example : ca1a8e76-af49-40ea-93f8-a5989ffe138b
| string | None |
| query | path required | List of filesystem backup path Example : /
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}/filesystem-path?restore_target_id={restore_target_id}&path={path}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"id": "/data/_1768885200",
"item_type": "DIR | FILE",
"name": "data/",
"path": "/"
}
],
"count": 1
}
1.21 - List Targets of Backup Agent
1.21.1 - 1.2
get /v1/backup-agents/targets
Description
List targets of Backup Agent.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | Sort Example : server_name:asc
| any of [string, null] | server_name:asc |
| query | server_category required | Backup server category Example : BAREMETAL_SERVER
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/targets?server_category={server_category}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"contents": [
{
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"server_state": "RUNNING",
"server_type": "s1v1m2",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
],
"count": 1
}
1.21.2 - 1.1
get /v1/backup-agents/targets
Description
List targets of Backup Agent.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | Sort Example : server_name:asc
| any of [string, null] | server_name:asc |
| query | server_category required | Backup server category Example : BAREMETAL_SERVER
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/targets?server_category={server_category}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"server_state": "RUNNING",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.21.3 - 1.0
get /v1/backup-agents/targets
Description
List targets of Backup Agent.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | Sort Example : server_name:asc
| any of [string, null] | server_name:asc |
| query | server_category required | Backup server category Example : BAREMETAL_SERVER
| string | None |
| query | server_name optional | Backup server name Example : server-001
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/targets?server_category={server_category}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"server_backup_agent_ip": "11.22.33.44",
"server_name": "server-001",
"server_state": "RUNNING",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366"
}
],
"count": 1
}
1.22 - Manual Backup
1.22.1 - 1.2
post /v1/backups/{backup_id}/manual-backup
Description
Perform Manual Backup immediately.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/manual-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.22.2 - 1.1
post /v1/backups/{backup_id}/manual-backup
Description
Perform Manual Backup immediately.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/manual-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.22.3 - 1.0
post /v1/backups/{backup_id}/manual-backup
Description
Perform Manual Backup immediately.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/manual-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.23 - Restore Agent Backup
1.23.1 - 1.2
post /v1/backups/{backup_id}/restore-agent-backup
Description
Restore the Backup.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| AgentBackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-agent-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"filesystem_paths": [
{
"destination": "/",
"source": "/"
}
],
"overwrite": true,
"restore_server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b"
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.23.2 - 1.1
post /v1/backups/{backup_id}/restore-agent-backup
Description
Restore the Backup.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| AgentBackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-agent-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"filesystem_paths": [
{
"destination": "/",
"source": "/"
}
],
"overwrite": true,
"restore_server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b"
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.23.3 - 1.0
post /v1/backups/{backup_id}/restore-agent-backup
Description
Restore the Backup.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| AgentBackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-agent-backup
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"filesystem_paths": [
{
"destination": "/",
"source": "/"
}
],
"overwrite": true,
"restore_server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b"
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.24 - Restore Backup
1.24.1 - 1.2
post /v1/backups/{backup_id}/restore
Description
Restore the Backup.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"networks": [
{
"subnet_id": "023c57b14f11483689338d085e061492"
}
],
"restore_region": "kr-west1",
"restore_server_name": "restoretest1",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"security_groups": [
"023c57b14f11483689338d085e061492"
],
"server_type_id": "s1v1m2"
}
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.24.2 - 1.1
post /v1/backups/{backup_id}/restore
Description
Restore the Backup.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"networks": [
{
"subnet_id": "023c57b14f11483689338d085e061492"
}
],
"restore_region": "kr-west1",
"restore_server_name": "restoretest1",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"security_groups": [
"023c57b14f11483689338d085e061492"
],
"server_type_id": "s1v1m2"
}
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.24.3 - 1.0
post /v1/backups/{backup_id}/restore
Description
Restore the Backup.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| BackupRestoreRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"networks": [
{
"subnet_id": "023c57b14f11483689338d085e061492"
}
],
"restore_region": "kr-west1",
"restore_server_name": "restoretest1",
"restore_target_id": "ca1a8e76-af49-40ea-93f8-a5989ffe138b",
"security_groups": [
"023c57b14f11483689338d085e061492"
],
"server_type_id": "s1v1m2"
}
Example HTTP response
Response 202
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.25 - Set Backup Schedule
1.25.1 - 1.2
put /v1/backups/{backup_id}/schedules
Description
Set Backup schedule.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| ModifyBackupSchedulesRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.25.2 - 1.1
put /v1/backups/{backup_id}/schedules
Description
Set Backup schedule.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| ModifyBackupSchedulesRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.25.3 - 1.0
put /v1/backups/{backup_id}/schedules
Description
Set Backup schedule.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| ModifyBackupSchedulesRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"schedules": [
{
"frequency": "DAILY",
"start_day": "MON",
"start_time": "09:00:00",
"start_week": "WEEK_2",
"type": "FULL"
}
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.26 - Set Filesystem Path
1.26.1 - 1.2
put /v1/backups/{backup_id}/filesystem-path
Description
Set Filesystem path.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| FileSystemPathUpdateRequest1Dot2 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/filesystem-path
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Request body
{
"backup_filesystem_paths": [
"/aaa",
"/bbb"
],
"is_all_filesystem": false
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.26.2 - 1.1
put /v1/backups/{backup_id}/filesystem-path
Description
Set Filesystem path.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| FileSystemPathUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/filesystem-path
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Request body
{
"backup_filesystem_paths": [
"/aaa",
"/bbb"
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.26.3 - 1.0
put /v1/backups/{backup_id}/filesystem-path
Description
Set Filesystem path.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
| body | body required |
| FileSystemPathUpdateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/filesystem-path
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Request body
{
"backup_filesystem_paths": [
"/aaa",
"/bbb"
]
}
Example HTTP response
Response 200
{
"request_id": "",
"resource": {
"id": "",
"links": [
""
]
}
}
1.27 - Show Backup
1.27.1 - 1.2
get /v1/backups/{backup_id}
Description
Show the detail of Backup.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"backup_agent_id": "BACKUP_AGENT-abcd",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dr_enabled": false,
"dr_region": "kr-west1",
"encrypt_enabled": false,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"is_all_filesystem": false,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"origin_backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"replica_backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_name": "server-001",
"server_os_type": "WINDOWS",
"server_region": "kr-west1",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"state": "AVAILABLE"
}
1.27.2 - 1.1
get /v1/backups/{backup_id}
Description
Show the detail of Backup.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"backup_agent_id": "BACKUP_AGENT-abcd",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dr_enabled": false,
"dr_region": "kr-west1",
"encrypt_enabled": false,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"origin_backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"replica_backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_name": "server-001",
"server_os_type": "WINDOWS",
"server_region": "kr-west1",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"state": "AVAILABLE"
}
1.27.3 - 1.0
get /v1/backups/{backup_id}
Description
Show the detail of Backup.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BackupDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.0"
Example HTTP response
Response 200
{
"backup_agent_id": "BACKUP_AGENT-abcd",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"encrypt_enabled": false,
"filesystem_paths": [
"/aaa",
"/bbb"
],
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "backup-001",
"policy_category": "AGENTLESS",
"policy_type": "VM_IMAGE",
"region": "kr-west1",
"retention_period": "WEEK_2",
"role_type": "ORIGINAL",
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_name": "server-001",
"server_os_type": "WINDOWS",
"server_region": "kr-west1",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"state": "AVAILABLE"
}
1.28 - Show Backup Agent
1.28.1 - 1.2
get /v1/backup-agents/{backup_agent_id}
Description
Show the detail of Backup Agent.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = backup 1.2"
Example HTTP response
Response 200
{
"account_id": "fnsd89fus0f9ds09f90dshf9dshfds09",
"backup_master_ip": "33.44.55.66",
"backup_master_name": "backupmastertest",
"backup_policy_count": "3",
"connection_check_time": "2024-11-11T09:13:48Z",
"connection_state": "SUCCESS",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "BACKUP_AGENT-abcd",
"install_file_path": "http://linux-agent",
"media_servers": [
{
"ip_address": "",
"name": ""
}
],
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "agent_abcd12",
"server_backup_agent_ip": "11.22.33.44",
"server_category": "VIRTUAL_SERVER | GPU_SERVER | BAREMETAL_SERVER",
"server_gateway_ip": "22.33.44.55",
"server_name": "server-001",
"server_os_type": "WINDOWS",
"server_uuid": "89f5ef44-1021-4a5c-8e06-fbb289eac366",
"state": "AVAILABLE",
"subnet_id": "",
"subnet_name": ""
}
1.28.2 - 1.1
get /v1/backup-agents/{backup_agent_id}
Description
Show the detail of Backup Agent.
State
ACTIVE (SUPPORTED)
| Version | Not Before |
|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | backup_agent_id required | Backup Agent ID Example : BACKUP_AGENT-abcd
| string | None |
Responses
Example HTTP request
Request path
/v1/backup-agents/{backup_agent_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
[...]
